org.springframework.messaging.handler.annotation.reactive

## Class ContinuationHandlerMethodArgumentResolver

- java.lang.Object
- - org.springframework.messaging.handler.annotation.reactive.ContinuationHandlerMethodArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver

    public class ContinuationHandlerMethodArgumentResolver
    extends Object
    implements HandlerMethodArgumentResolver

No-op resolver for method arguments of type `kotlin.coroutines.Continuation`.

Since:
  5.2
Author:
  Sebastien Deleuze

### Constructor Summary

Constructors
Constructor and Description
`ContinuationHandlerMethodArgumentResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`reactor.core.publisher.Mono<Object>` `resolveArgument(org.springframework.core.MethodParameter parameter, Message<?> message)` Resolves a method parameter into an argument value from a given message.
`boolean` `supportsParameter(org.springframework.core.MethodParameter parameter)` Whether the given method parameter is supported by this resolver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContinuationHandlerMethodArgumentResolver

    public ContinuationHandlerMethodArgumentResolver()

### Method Detail

#### supportsParameter

    public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Description copied from interface: `HandlerMethodArgumentResolver`
Whether the given method parameter is supported by this resolver.

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`
Parameters:
  `parameter` - the method parameter to check
Returns:
  `true` if this resolver supports the supplied parameter; `false` otherwise

#### resolveArgument

    public reactor.core.publisher.Mono<Object> resolveArgument(org.springframework.core.MethodParameter parameter,
                                                               Message<?> message)

Description copied from interface: `HandlerMethodArgumentResolver`
Resolves a method parameter into an argument value from a given message.

Specified by:
  `resolveArgument` in interface `HandlerMethodArgumentResolver`
Parameters:
  `parameter` - the method parameter to resolve. This parameter must have previously been passed to `HandlerMethodArgumentResolver.supportsParameter(org.springframework.core.MethodParameter)` which must have returned `true`.
  `message` - the currently processed message
Returns:
  `Mono` for the argument value, possibly empty